## mars.tools
Class AbstractMarsToolAndApplication.EnterKeyListener

    java.lang.Object
      java.awt.event.KeyAdapter
          mars.tools.AbstractMarsToolAndApplication.EnterKeyListener

All Implemented Interfaces:
  KeyListener, EventListener

Enclosing class:
  AbstractMarsToolAndApplication

    protected class AbstractMarsToolAndApplication.EnterKeyListener

extends KeyAdapter

Constructor Summary
`AbstractMarsToolAndApplication.EnterKeyListener(AbstractButton who)`

Method Summary
`void` `keyPressed(KeyEvent e)`

Methods inherited from class java.awt.event.KeyAdapter
`keyReleased, keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMarsToolAndApplication.EnterKeyListener

    public AbstractMarsToolAndApplication.EnterKeyListener(AbstractButton who)

Method Detail

### keyPressed

    public void keyPressed(KeyEvent e)

  Specified by:
    `keyPressed` in interface `KeyListener`
  Overrides:
    `keyPressed` in class `KeyAdapter`